path: /build/build/qqc2-desktop-style-kde-frameworks-5-5.111.0.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-test" emerge kde-frameworks/qqc2-desktop-style:5 -pv -t && \
    USE="-test" emerge -j ${JOBS} --nodeps kde-frameworks/qqc2-desktop-style:5
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/qqc2-desktop-style && luet-portage --dir
    /pkgdir/qqc2-desktop-style kde-frameworks/qqc2-desktop-style:5 && eval 'rm -v
    /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/* || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:bdef223445bc87fff1b619ec970f5de5cca8916f4f44722c7aa988fb935c683d
  package:
    name: qqc2-desktop-style
    version: 5.111.0
    category: kde-frameworks-5
    use_flags:
    - -test
    requires:
    - name: macaroni-funtoo-race19
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Style for QtQuickControls 2 that uses QWidget's QStyle for painting
    uri:
    - https://kde.org/
    license: '|| ( GPL-2+ LGPL-3+ )'
    buildtimestamp: 2024-02-14 21:51:39.704064994 +0000 UTC m=+199.246647759
    labels:
      BDEPEND: dev-util/ninja >=dev-util/cmake-3.9.6 >=kde-frameworks/extra-cmake-modules-5.111:5
      DEPEND: '>=dev-qt/qtdbus-5.15.1:5 >=dev-qt/qtdeclarative-5.15.1:5 >=dev-qt/qtgui-5.15.1:5
        >=dev-qt/qtwidgets-5.15.1:5 >=kde-frameworks/kconfig-5.111:5 >=kde-frameworks/kconfigwidgets-5.111:5
        >=kde-frameworks/kiconthemes-5.111:5 >=kde-frameworks/kirigami-5.111:5 >=kde-frameworks/sonnet-5.111:5[qml]
        dev-util/desktop-file-utils x11-misc/shared-mime-info test? ( >=dev-qt/qttest-5.15.1:5
        ) >=dev-qt/qtcore-5.15.1:5 dev-util/desktop-file-utils'
      IUSE: debug test
      RDEPEND: '>=dev-qt/qtdbus-5.15.1:5 >=dev-qt/qtdeclarative-5.15.1:5 >=dev-qt/qtgui-5.15.1:5
        >=dev-qt/qtwidgets-5.15.1:5 >=kde-frameworks/kconfig-5.111:5 >=kde-frameworks/kconfigwidgets-5.111:5
        >=kde-frameworks/kiconthemes-5.111:5 >=kde-frameworks/kirigami-5.111:5 >=kde-frameworks/sonnet-5.111:5[qml]
        >=dev-qt/qtgraphicaleffects-5.15.1:5 >=dev-qt/qtquickcontrols2-5.15.1:5 >=kde-frameworks/kf-env-4
        || ( >=kde-frameworks/breeze-icons-5.111:5 kde-frameworks/oxygen-icons:* )
        >=dev-qt/qtcore-5.15.1:5'
      emerge.packages: kde-frameworks/qqc2-desktop-style:5
      kit: kde-kit
      original.package.name: kde-frameworks/qqc2-desktop-style
      original.package.slot: "5"
      original.package.version: 5.111.0
    treedir: /build/packages
  package_dir: /pkgdir/qqc2-desktop-style
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 99bf29bdda1da1c08421e20d2eaef6eb993abccbdc94181c762eb453538c36c1
compressiontype: zstd
files:
- usr/lib64/cmake/KF5QQC2DeskopStyle/KF5QQC2DeskopStyleConfig.cmake
- usr/lib64/cmake/KF5QQC2DeskopStyle/KF5QQC2DeskopStyleConfigVersion.cmake
- usr/lib64/cmake/KF5QQC2DesktopStyle/KF5QQC2DesktopStyleConfig.cmake
- usr/lib64/cmake/KF5QQC2DesktopStyle/KF5QQC2DesktopStyleConfigVersion.cmake
- usr/lib64/qt5/plugins/kf5/kirigami/org.kde.desktop.so
- usr/lib64/qt5/qml/QtQuick/Controls.2/org.kde.desktop/BusyIndicator.qml
- usr/lib64/qt5/qml/QtQuick/Controls.2/org.kde.desktop/Button.qml
- usr/lib64/qt5/qml/QtQuick/Controls.2/org.kde.desktop/CheckBox.qml
- usr/lib64/qt5/qml/QtQuick/Controls.2/org.kde.desktop/CheckDelegate.qml
- usr/lib64/qt5/qml/QtQuick/Controls.2/org.kde.desktop/CheckIndicator.qml
- usr/lib64/qt5/qml/QtQuick/Controls.2/org.kde.desktop/ComboBox.qml
- usr/lib64/qt5/qml/QtQuick/Controls.2/org.kde.desktop/Container.qml
- usr/lib64/qt5/qml/QtQuick/Controls.2/org.kde.desktop/Control.qml
- usr/lib64/qt5/qml/QtQuick/Controls.2/org.kde.desktop/DelayButton.qml
- usr/lib64/qt5/qml/QtQuick/Controls.2/org.kde.desktop/Dial.qml
- usr/lib64/qt5/qml/QtQuick/Controls.2/org.kde.desktop/Dialog.qml
- usr/lib64/qt5/qml/QtQuick/Controls.2/org.kde.desktop/DialogButtonBox.qml
- usr/lib64/qt5/qml/QtQuick/Controls.2/org.kde.desktop/Drawer.qml
- usr/lib64/qt5/qml/QtQuick/Controls.2/org.kde.desktop/Frame.qml
- usr/lib64/qt5/qml/QtQuick/Controls.2/org.kde.desktop/GroupBox.qml
- usr/lib64/qt5/qml/QtQuick/Controls.2/org.kde.desktop/ItemDelegate.qml
- usr/lib64/qt5/qml/QtQuick/Controls.2/org.kde.desktop/Label.qml
- usr/lib64/qt5/qml/QtQuick/Controls.2/org.kde.desktop/Menu.qml
- usr/lib64/qt5/qml/QtQuick/Controls.2/org.kde.desktop/MenuBar.qml
- usr/lib64/qt5/qml/QtQuick/Controls.2/org.kde.desktop/MenuBarItem.qml
- usr/lib64/qt5/qml/QtQuick/Controls.2/org.kde.desktop/MenuItem.qml
- usr/lib64/qt5/qml/QtQuick/Controls.2/org.kde.desktop/MenuSeparator.qml
- usr/lib64/qt5/qml/QtQuick/Controls.2/org.kde.desktop/Page.qml
- usr/lib64/qt5/qml/QtQuick/Controls.2/org.kde.desktop/Pane.qml
- usr/lib64/qt5/qml/QtQuick/Controls.2/org.kde.desktop/Popup.qml
- usr/lib64/qt5/qml/QtQuick/Controls.2/org.kde.desktop/ProgressBar.qml
- usr/lib64/qt5/qml/QtQuick/Controls.2/org.kde.desktop/RadioButton.qml
- usr/lib64/qt5/qml/QtQuick/Controls.2/org.kde.desktop/RadioDelegate.qml
- usr/lib64/qt5/qml/QtQuick/Controls.2/org.kde.desktop/RangeSlider.qml
- usr/lib64/qt5/qml/QtQuick/Controls.2/org.kde.desktop/RoundButton.qml
- usr/lib64/qt5/qml/QtQuick/Controls.2/org.kde.desktop/ScrollBar.qml
- usr/lib64/qt5/qml/QtQuick/Controls.2/org.kde.desktop/ScrollView.qml
- usr/lib64/qt5/qml/QtQuick/Controls.2/org.kde.desktop/Slider.qml
- usr/lib64/qt5/qml/QtQuick/Controls.2/org.kde.desktop/SpinBox.qml
- usr/lib64/qt5/qml/QtQuick/Controls.2/org.kde.desktop/StackView.qml
- usr/lib64/qt5/qml/QtQuick/Controls.2/org.kde.desktop/Switch.qml
- usr/lib64/qt5/qml/QtQuick/Controls.2/org.kde.desktop/SwitchDelegate.qml
- usr/lib64/qt5/qml/QtQuick/Controls.2/org.kde.desktop/SwitchIndicator.qml
- usr/lib64/qt5/qml/QtQuick/Controls.2/org.kde.desktop/TabBar.qml
- usr/lib64/qt5/qml/QtQuick/Controls.2/org.kde.desktop/TabButton.qml
- usr/lib64/qt5/qml/QtQuick/Controls.2/org.kde.desktop/TextArea.qml
- usr/lib64/qt5/qml/QtQuick/Controls.2/org.kde.desktop/TextField.qml
- usr/lib64/qt5/qml/QtQuick/Controls.2/org.kde.desktop/ToolBar.qml
- usr/lib64/qt5/qml/QtQuick/Controls.2/org.kde.desktop/ToolButton.qml
- usr/lib64/qt5/qml/QtQuick/Controls.2/org.kde.desktop/ToolSeparator.qml
- usr/lib64/qt5/qml/QtQuick/Controls.2/org.kde.desktop/ToolTip.qml
- usr/lib64/qt5/qml/QtQuick/Controls.2/org.kde.desktop/private/DefaultListItemBackground.qml
- usr/lib64/qt5/qml/QtQuick/Controls.2/org.kde.desktop/private/FocusRect.qml
- usr/lib64/qt5/qml/QtQuick/Controls.2/org.kde.desktop/private/MobileCursor.qml
- usr/lib64/qt5/qml/QtQuick/Controls.2/org.kde.desktop/private/MobileTextActionsToolBar.qml
- usr/lib64/qt5/qml/QtQuick/Controls.2/org.kde.desktop/private/TextFieldContextMenu.qml
- usr/lib64/qt5/qml/QtQuick/Controls.2/org.kde.desktop/private/qmldir
- usr/lib64/qt5/qml/org/kde/qqc2desktopstyle/private/libqqc2desktopstyleplugin.so
- usr/lib64/qt5/qml/org/kde/qqc2desktopstyle/private/qmldir
- usr/share/doc/qqc2-desktop-style-5.111.0/README.md.bz2
- var/db/pkg/kde-frameworks/qqc2-desktop-style-5.111.0/BDEPEND
- var/db/pkg/kde-frameworks/qqc2-desktop-style-5.111.0/BUILD_TIME
- var/db/pkg/kde-frameworks/qqc2-desktop-style-5.111.0/CATEGORY
- var/db/pkg/kde-frameworks/qqc2-desktop-style-5.111.0/CBUILD
- var/db/pkg/kde-frameworks/qqc2-desktop-style-5.111.0/CFLAGS
- var/db/pkg/kde-frameworks/qqc2-desktop-style-5.111.0/CHOST
- var/db/pkg/kde-frameworks/qqc2-desktop-style-5.111.0/CONTENTS
- var/db/pkg/kde-frameworks/qqc2-desktop-style-5.111.0/COUNTER
- var/db/pkg/kde-frameworks/qqc2-desktop-style-5.111.0/CXXFLAGS
- var/db/pkg/kde-frameworks/qqc2-desktop-style-5.111.0/DEFINED_PHASES
- var/db/pkg/kde-frameworks/qqc2-desktop-style-5.111.0/DEPEND
- var/db/pkg/kde-frameworks/qqc2-desktop-style-5.111.0/DESCRIPTION
- var/db/pkg/kde-frameworks/qqc2-desktop-style-5.111.0/EAPI
- var/db/pkg/kde-frameworks/qqc2-desktop-style-5.111.0/FEATURES
- var/db/pkg/kde-frameworks/qqc2-desktop-style-5.111.0/HOMEPAGE
- var/db/pkg/kde-frameworks/qqc2-desktop-style-5.111.0/INHERITED
- var/db/pkg/kde-frameworks/qqc2-desktop-style-5.111.0/IUSE
- var/db/pkg/kde-frameworks/qqc2-desktop-style-5.111.0/IUSE_EFFECTIVE
- var/db/pkg/kde-frameworks/qqc2-desktop-style-5.111.0/KEYWORDS
- var/db/pkg/kde-frameworks/qqc2-desktop-style-5.111.0/LDFLAGS
- var/db/pkg/kde-frameworks/qqc2-desktop-style-5.111.0/LICENSE
- var/db/pkg/kde-frameworks/qqc2-desktop-style-5.111.0/NEEDED
- var/db/pkg/kde-frameworks/qqc2-desktop-style-5.111.0/PF
- var/db/pkg/kde-frameworks/qqc2-desktop-style-5.111.0/PROVIDES
- var/db/pkg/kde-frameworks/qqc2-desktop-style-5.111.0/RDEPEND
- var/db/pkg/kde-frameworks/qqc2-desktop-style-5.111.0/REQUIRES
- var/db/pkg/kde-frameworks/qqc2-desktop-style-5.111.0/SIZE
- var/db/pkg/kde-frameworks/qqc2-desktop-style-5.111.0/SLOT
- var/db/pkg/kde-frameworks/qqc2-desktop-style-5.111.0/USE
- var/db/pkg/kde-frameworks/qqc2-desktop-style-5.111.0/environment.bz2
- var/db/pkg/kde-frameworks/qqc2-desktop-style-5.111.0/qqc2-desktop-style-5.111.0.ebuild
- var/db/pkg/kde-frameworks/qqc2-desktop-style-5.111.0/repository
package_cacheimage: ""
runtime:
  name: qqc2-desktop-style
  version: 5.111.0
  category: kde-frameworks-5
  use_flags:
  - -test
  requires:
  - name: kiconthemes
    version: '>=0'
    category: kde-frameworks-5
  - name: kirigami
    version: '>=0'
    category: kde-frameworks-5
  - name: sonnet
    version: '>=0'
    category: kde-frameworks-5
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Style for QtQuickControls 2 that uses QWidget's QStyle for painting
  uri:
  - https://kde.org/
  license: '|| ( GPL-2+ LGPL-3+ )'
  labels:
    BDEPEND: dev-util/ninja >=dev-util/cmake-3.9.6 >=kde-frameworks/extra-cmake-modules-5.111:5
    DEPEND: '>=dev-qt/qtdbus-5.15.1:5 >=dev-qt/qtdeclarative-5.15.1:5 >=dev-qt/qtgui-5.15.1:5
      >=dev-qt/qtwidgets-5.15.1:5 >=kde-frameworks/kconfig-5.111:5 >=kde-frameworks/kconfigwidgets-5.111:5
      >=kde-frameworks/kiconthemes-5.111:5 >=kde-frameworks/kirigami-5.111:5 >=kde-frameworks/sonnet-5.111:5[qml]
      dev-util/desktop-file-utils x11-misc/shared-mime-info test? ( >=dev-qt/qttest-5.15.1:5
      ) >=dev-qt/qtcore-5.15.1:5 dev-util/desktop-file-utils'
    IUSE: debug test
    RDEPEND: '>=dev-qt/qtdbus-5.15.1:5 >=dev-qt/qtdeclarative-5.15.1:5 >=dev-qt/qtgui-5.15.1:5
      >=dev-qt/qtwidgets-5.15.1:5 >=kde-frameworks/kconfig-5.111:5 >=kde-frameworks/kconfigwidgets-5.111:5
      >=kde-frameworks/kiconthemes-5.111:5 >=kde-frameworks/kirigami-5.111:5 >=kde-frameworks/sonnet-5.111:5[qml]
      >=dev-qt/qtgraphicaleffects-5.15.1:5 >=dev-qt/qtquickcontrols2-5.15.1:5 >=kde-frameworks/kf-env-4
      || ( >=kde-frameworks/breeze-icons-5.111:5 kde-frameworks/oxygen-icons:* ) >=dev-qt/qtcore-5.15.1:5'
    emerge.packages: kde-frameworks/qqc2-desktop-style:5
    kit: kde-kit
    original.package.name: kde-frameworks/qqc2-desktop-style
    original.package.slot: "5"
    original.package.version: 5.111.0
